Summary:       Enlightened terminal emulator
Name:          eterm
Version:       0.9.6
Release:       1
License:       BSD
Group:         User Interface/Desktops
Source0:       http://www.eterm.org/download/Eterm-%{version}.tar.gz
Source1:       http://www.eterm.org/download/Eterm-bg-%{version}.tar.gz
Source2:       %{name}.png
URL:           http://www.eterm.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc >= 4.2.3-2
BuildRequires: imlib2-devel >= 1.4.4-2
BuildRequires: libast-devel >= 0.7.1
BuildRequires: pcre-devel >= 7.9-2
Requires:      imlib2 >= 1.4.4-2
Requires:      libast >= 0.7.1
Requires:      pcre >= 7.9-2
Provides:      Eterm = %{version}-%{release}

%description
Eterm is a color vt102 terminal emulator with enhanced graphical
capabilities.  Eterm is intended to be a replacement for xterm for
Enlightenment window manager users, but it can also be used as a
replacement for xterm by users without Enlightenment.  Eterm supports
various themes and is very configurable, in keeping with the
philosophy of Enlightenment.


%prep
%setup -q -a 1 -q -n Eterm-%{version}


%build
export CC="gcc"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export LD="ld"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix}    \
    --disable-multi-charset \
    --enable-escreen       \
    --enable-auto-encoding \
    --enable-trans         \
    --disable-etwin        \
    --disable-mmx

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

echo -e "[Desktop Entry]
Encoding=UTF-8
Name=Eterm	
Comment=Eterm
TryExec=Eterm
Exec=Eterm
Icon=eterm.png
Type=Application
Categories=Utility;TerminalEmulator;System;" > %{name}.desktop

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
cp %{name}.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc doc/Eterm_reference.html doc/Eterm.1.html doc/Eterm.tcap 
%doc doc/Eterm.ti doc/README.Escreen LICENSE
%doc README ReleaseNotes ReleaseNotes.1 ChangeLog
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man1/Eterm.1
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
%{_datadir}/Eterm
%{_datadir}/pixmaps/%{name}.png
/usr/bin/*


%changelog
* Mon May 16 2011 Michael Perzl <michael@perzl.org> - 0.9.6-1
- first version for AIX V5.1 and higher
